aboutsummaryrefslogtreecommitdiff
path: root/development
diff options
context:
space:
mode:
authorZhu Qun-Ying <zhu.qunying@gmail.com>2024-09-25 10:08:33 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-09-27 23:12:02 +0700
commit2648fbafbd5c6d0ebd8eb0a6e4d970fe22fecf62 (patch)
tree5a1b3184f8c1b35b2aed8bb9020194e6a0c520e3 /development
parent0aa6617325e84317a8160d213521a203dbafb911 (diff)
development/UASM: Added (MASM-compatible assembler).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/UASM/README4
-rw-r--r--development/UASM/UASM.SlackBuild90
-rw-r--r--development/UASM/UASM.info10
-rw-r--r--development/UASM/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/development/UASM/README b/development/UASM/README
new file mode 100644
index 000000000000..fc588aa42f40
--- /dev/null
+++ b/development/UASM/README
@@ -0,0 +1,4 @@
+UASM (A free MASM-compatible assembler based on JWasm)
+
+UASM is a free MASM-compatible assembler based on JWasm with many
+features added.
diff --git a/development/UASM/UASM.SlackBuild b/development/UASM/UASM.SlackBuild
new file mode 100644
index 000000000000..9033f051a5af
--- /dev/null
+++ b/development/UASM/UASM.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/bash
+
+# Slackware build script for <UASM>
+
+# Copyright 2022-2023, Zhu Qun-Ying
+# All rights reserved.
+# Modified from ARCH pkgbuild
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=UASM
+VERSION=${VERSION:-2.56.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+SRC_DIR="UASM-2.56.2"
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRC_DIR
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $SRC_DIR
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make CC="gcc -fcommon" -f gccLinux64.mak
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+mkdir -p $PKG/usr/bin
+install --strip GccUnixR/uasm $PKG/usr/bin
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a {Readme,History,License}.txt README.md Doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/UASM/UASM.info b/development/UASM/UASM.info
new file mode 100644
index 000000000000..dc7b20f75e0e
--- /dev/null
+++ b/development/UASM/UASM.info
@@ -0,0 +1,10 @@
+PRGNAM="UASM"
+VERSION="2.56.2"
+HOMEPAGE="http://www.terraspace.co.uk/uasm.html"
+DOWNLOAD="https://github.com/Terraspace/UASM/archive/v2.56.2/UASM-2.56.2.tar.gz"
+MD5SUM="4e196611843bbb1640f8df998a227113"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"
diff --git a/development/UASM/slack-desc b/development/UASM/slack-desc
new file mode 100644
index 000000000000..66a411978302
--- /dev/null
+++ b/development/UASM/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+UASM: UASM (A free MASM-compatible assembler based on JWasm)
+UASM:
+UASM: UASM is a free MASM-compatible assembler based on JWasm with many
+UASM: features added.
+UASM:
+UASM: http://www.terraspace.co.uk/uasm.html
+UASM:
+UASM:
+UASM:
+UASM:
+UASM: